Site/Host Object for the Site/Host Object in dotCMS

### Hierarchy

- Treeable
  - Site

## Index

### Properties

- aliases
- archived
- displayType
- hostname
- identifier
- inode
- live
- modDate
- modUser
- name
- title
- type
- working

## Properties

### aliases

aliases: string

- Defined in core/treeable/shared/site.model.ts:8

### archived

archived: boolean

Inherited from Treeable.archived

- Defined in core/treeable/shared/treeable.model.ts:12

### displayType

displayType: string

Inherited from Treeable.displayType

- Defined in core/treeable/shared/treeable.model.ts:14

### hostname

hostname: string

- Defined in core/treeable/shared/site.model.ts:7

### identifier

identifier: string

Overwrites Treeable.identifier

- Defined in core/treeable/shared/site.model.ts:9

### inode

inode: string

Overwrites Treeable.inode

- Defined in core/treeable/shared/site.model.ts:10

### live

live: boolean

Inherited from Treeable.live

- Defined in core/treeable/shared/treeable.model.ts:10

### modDate

modDate: Date

Inherited from Treeable.modDate

- Defined in core/treeable/shared/treeable.model.ts:8

### modUser

modUser: string

Inherited from Treeable.modUser

- Defined in core/treeable/shared/treeable.model.ts:15

### name

name: string

Inherited from Treeable.name

- Defined in core/treeable/shared/treeable.model.ts:9

### title

title: string

Inherited from Treeable.title

- Defined in core/treeable/shared/treeable.model.ts:13

### type

type: string

Inherited from Treeable.type

- Defined in core/treeable/shared/treeable.model.ts:7

### working

working: boolean

Inherited from Treeable.working

- Defined in core/treeable/shared/treeable.model.ts:11

Generated using TypeDoc